package intrinsic.mx.controls.videoClasses;

public class VideoPlayer extends intrinsic.flash.media.Video {

	/** Accessors */
	public int idleTimeout;
	public double totalTime;
	public int playheadUpdateInterval;
	public boolean autoRewind;
	public int videoWidth;
	public int videoHeight;
	public int bytesLoaded;
	public double volume;
	public boolean isRTMP;
	public double bufferTime;
	public int bytesTotal;
	public intrinsic.flash.media.SoundTransform soundTransform;
	public double playheadTime;
	public int progressInterval;
	public boolean visible;
	public intrinsic.mx.controls.videoClasses.INCManager ncMgr;
	public boolean stateResponsive;
	public String url;
	public Object metadata;
	public String state;
	public boolean isLive;

	/** Variables */
	public boolean autoBandWidthDetection;
	public intrinsic.Class ncMgrClassName;

	/** Constants */
	public static final String BUFFERING = "buffering";
	public static final double HTTP_DO_SEEK_MAX_COUNT = 0;
	public static final String SEEKING = "seeking";
	public static final String STOPPED = "stopped";
	public static final double RTMP_DO_STOP_AT_END_INTERVAL = 0;
	public static final String CONNECTION_ERROR = "connection_error";
	public static final double FINISH_AUTO_RESIZE_INTERVAL = 0;
	public static final String PLAYING = "playing";
	public static final String PAUSED = "paused";
	public static final double DEFAULT_UPDATE_TIME_INTERVAL = 0;
	public static final double DEFAULT_UPDATE_PROGRESS_INTERVAL = 0;
	public static final double HTTP_DO_SEEK_INTERVAL = 0;
	public static final double RTMP_DO_SEEK_INTERVAL = 0;
	public static final double HTTP_DELAYED_BUFFERING_INTERVAL = 0;
	public static final String VERSION = "version";
	public static final double CLOSE_NS_INTERVAL = 0;
	public static final double AUTO_RESIZE_PLAYHEAD_TIMEOUT = 0;
	public static final double AUTO_RESIZE_METADATA_DELAY_MAX = 0;
	public static final String REWINDING = "rewinding";
	public static final double AUTO_RESIZE_INTERVAL = 0;
	public static final String DISCONNECTED = "disconnected";
	public static final String LOADING = "loading";
	public static final double DEFAULT_IDLE_TIMEOUT_INTERVAL = 0;
	public static final String RESIZING = "resizing";
	public static final String EXEC_QUEUED_CMD = "exec_queued_cmd";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Class DEFAULT_INCMANAGER;

/** Contructors */
public VideoPlayer() {
}

public VideoPlayer(Object arg0, Object arg1) {
}

public VideoPlayer(Object arg0, Object arg1, Object arg2) {
}


/** Static Methods */

/** Methods */
public native void close();
public native void rtmpOnStatus(intrinsic.flash.events.NetStatusEvent arg0);
public native void ncConnected();
public native void onCuePoint(Object arg0);
public native void onMetaData(Object arg0);
public native void httpOnStatus(intrinsic.flash.events.NetStatusEvent arg0);
public native void load(String arg0);
public native void load(String arg0, boolean arg1);
public native void load(String arg0, boolean arg1, double arg2);
public native void doUpdateProgress(intrinsic.flash.events.Event arg0);
public native void play();
public native void play(String arg0);
public native void play(String arg0, boolean arg1);
public native void play(String arg0, boolean arg1, double arg2);
public native void pause();
public native void setScale(double arg0, double arg1);
public native void doUpdateTime(intrinsic.flash.events.Event arg0);
public native void seek(double arg0);
public native void stop();
public native void setSize(double arg0, double arg1);
public native void ncReconnected();

}
